Bug 435278 - Fedora 8 anaconda install failure
Fedora 8 anaconda install failure
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-28 09:30 EST by andha
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-03 08:00:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description andha 2008-02-28 09:30:56 EST
Description of problem:

Anaconda installer in Fedora 8 aborts with a stack dump after
the user has answered the disc-check requester.

Version-Release number of selected component (if applicable):
Install DVD: Fedora-Unity-20080204-8-x86_64-DVD (respin)
Anaconda: rev 11.3.0.50

How reproducible:

Fails every time.

Steps to Reproduce:

1. Boot laptop from installation DVD
2. Select text mode install (graphic mode gives same result)
3. When disk test requester show up select Skip (doing a test won't help)
  
Actual results:

After a few seconds the black screen with stackdump appears.

Expected results:

Other installation requesters should show up.

Additional info:

Dump of screen after abort:
-----------------------------------------------
loader received SIGSEGV!   Backtrace:
[0x401ace]
[0x527200]
[0x54a504]
[0x41177b]
[0x4120a7]
[0x402a19]
[0x518d49]
[0x4001e9]
install exited abnormally [1/1]
sending termination signals...done
sending kill signals...done
disabling swap...
unmounting filesystems...
	/mnt/runtime done
	disabling /dev/loop0
	/proc/bus/usb done
	/proc done
	/dev/pts done
	/sys done
	/tmp/ramfs done
	/mnt/source done
	/selinux done
you may safely reboot your system
------------------------------------------------
Hardware list (not the complete one):

Base model: HP Compaq 8710p laptop

Intel(R) Core(TM)2 Duo CPU T7700@2.40GHz
4 GB ram
TSSTcorpCD/DVDW TS-L632M optical drive
Intel(R) 82566MM Gigabit Network COnnection
Intel(R) Wireless WiFi Link 4965 AG
NVIDIA Quadro NVS 320M graphics controller
RICOH smartcard reader
AuthenTec Inc AES2501A fingerprint reader
SoftData FAx Modem with SmartCP
ST9120823AS 120 GB hard drive

Bios HP - 3090720
Comment 1 Jeremy Katz 2008-03-02 12:36:24 EST
Does this problem occur with the original Fedora 8 installation media?
Comment 2 andha 2008-03-02 13:31:00 EST
Yes, it does. Same symptoms, different stack dump addresses.
Comment 3 Jeremy Katz 2008-03-02 14:04:06 EST
Can you try adding 'nopcmcia' to your kernel command line and see if it helps?
Comment 4 andha 2008-03-03 08:00:16 EST
The 'nopcmcia' command helped anaconda to continue the installation process.
I now have a working FC8 system with a defunct pcmcia subsystem.
I will now try to figure out why FC8 isn't happy with the PCMCIA hardware.
We can now close this particular bug thread.

Note You need to log in before you can comment on or make changes to this bug.